import java.util.Properties

@Suppress("DSL_SCOPE_VIOLATION") // TODO: Remove once KTIJ-19369 is fixed
plugins {
    alias(libs.plugins.convention.android.library)
    alias(libs.plugins.kotlin.serialization)
}

android {
    namespace = "dev.adriankuta.pixabay.data"
    buildFeatures {
        buildConfig = true
    }
    defaultConfig {
        val localPropertiesFile = project.rootProject.file("local.properties")
        val properties = Properties()
        properties.load(localPropertiesFile.inputStream())

        val apiKey = properties.getProperty("PIXABAY_API_KEY") ?: ""
        buildConfigField("String", "PIXABAY_API_KEY", "\"$apiKey\"")
    }

}

dependencies {
    implementation(libs.androidx.paging.compose)

    implementation(libs.kotlinx.serialization.json)

    //Ktor
    implementation(libs.ktor.client.android)
    implementation(libs.ktor.client.resources)
    implementation(libs.ktor.client.content.negotiation)
    implementation(libs.ktor.client.logging)
    implementation(libs.ktor.serialization.kotlinx.json)

    //Logging
    implementation(libs.slf4j.android)

    implementation(libs.androidx.room.runtime)
    ksp(libs.androidx.room.compiler)
    implementation(libs.androidx.room.ktx)
    implementation(libs.androidx.room.paging)
}