package dev.adriankuta.pixabay.data.di

import android.content.Context
import androidx.room.Room
import dagger.Module
import dagger.Provides
import dagger.hilt.InstallIn
import dagger.hilt.android.qualifiers.ApplicationContext
import dagger.hilt.components.SingletonComponent
import dev.adriankuta.pixabay.data.room.AppDatabase
import dev.adriankuta.pixabay.data.room.dao.PixabayImagesDao
import javax.inject.Singleton

@InstallIn(SingletonComponent::class)
@Module
internal class PersistanceModule {

    @Singleton
    @Provides
    fun provideRoomDb(@ApplicationContext context: Context): AppDatabase {
        return Room.databaseBuilder(
            context,
            AppDatabase::class.java,
            "pixabay.db"
        ).build()
    }

    @Provides
    fun providePixabayImagesDao(appDatabase: AppDatabase) = appDatabase.imagesDao()

    @Provides
    fun provideRemoteKeysDao(appDatabase: AppDatabase) = appDatabase.remoteKeysDao()

}