package dev.adriankuta.pixabay.data.network

import dev.adriankuta.pixabay.data.dto.request.PixabayImages
import dev.adriankuta.pixabay.data.dto.request.PixabayImagesById
import dev.adriankuta.pixabay.data.dto.response.SearchPixabayImagesResponse
import io.ktor.client.HttpClient
import io.ktor.client.call.body
import io.ktor.client.plugins.resources.get
import javax.inject.Inject

internal class KtorPixabayService @Inject constructor(
    private val client: HttpClient,
) : PixabayService {

    override suspend fun searchImages(
        query: String,
        page: Int,
        pageSize: Int
    ): SearchPixabayImagesResponse {
        return client.get(PixabayImages(query, page, pageSize)).body()
    }

    override suspend fun searchImageById(id: String): SearchPixabayImagesResponse {
        return client.get(PixabayImagesById(id)).body()
    }
}