package dev.adriankuta.pixabay.data.room.dao

import androidx.room.Dao
import androidx.room.Insert
import androidx.room.OnConflictStrategy
import androidx.room.Query
import dev.adriankuta.pixabay.data.room.entity.RemoteKeys
import dev.adriankuta.pixabay.data.room.entity.RemoteKeys.Companion.COLUMN_ID
import dev.adriankuta.pixabay.data.room.entity.RemoteKeys.Companion.TABLE_NAME

@Dao
internal interface RemoteKeysDao {

    @Insert(onConflict = OnConflictStrategy.REPLACE)
    suspend fun insertAll(remoteKey: List<RemoteKeys>)

    @Query("SELECT * FROM $TABLE_NAME WHERE $COLUMN_ID = :id")
    suspend fun remoteKeysImageId(id: Int): RemoteKeys?

    @Query("DELETE FROM $TABLE_NAME")
    suspend fun clearRemoteKeys()
}