package dev.adriankuta.pixabay.data.room.entity

import androidx.room.ColumnInfo
import androidx.room.Entity
import androidx.room.PrimaryKey
import dev.adriankuta.pixabay.data.room.entity.RemoteKeys.Companion.TABLE_NAME

@Entity(tableName = TABLE_NAME)
internal data class RemoteKeys(
    @PrimaryKey
    @ColumnInfo(name = COLUMN_ID)
    val id: Int,
    @ColumnInfo(name = COLUMN_PREV_KEY)
    val prevKey: Int?,
    @ColumnInfo(name = COLUMN_NEXT_KEY)
    val nextKey: Int?
) {
    companion object {
        const val TABLE_NAME = "remote_keys"
        const val COLUMN_ID = "id"
        const val COLUMN_PREV_KEY = "prev_key"
        const val COLUMN_NEXT_KEY = "next_key"
    }
}